"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apiClient_1 = require("../cpapi/apiClient");
function addFewHostsAsynchronously() {
    let apiClient = new apiClient_1.default({ server: '172.23.78.75' });
    let promise = apiClient.login({ username: '****', password: '****' })
        .then(async () => {
        let hostPromises = [];
        for (let i of Array(30).keys()) {
            hostPromises[i] = addHost(apiClient, 'host' + i, '1.2.3.' + i);
        }
        for (let hostPromise of hostPromises) {
            await hostPromise;
        }
    }).then(() => {
        return apiClient.publish();
    }).then(() => {
        return apiClient.logout();
    });
}
function addHost(apiClient, name, ip) {
    return apiClient.apiCall('add-host', { name: name, 'ip-address': ip });
}
addFewHostsAsynchronously();
//# sourceMappingURL=addFewHostsAsynchronously.js.map